From 6679aa7277f1dab74b9440581be497ac7dce6055 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 20:32:54 +0000
Subject: [PATCH 260/1001] test fedmsg stats widget.


---

diff --git a/hubs/tests/test_widgets/test_fedmsgstats.py b/hubs/tests/test_widgets/test_fedmsgstats.py
new file mode 100644
index 0000000..a1ca9ca
--- /dev/null
+++ b/hubs/tests/test_widgets/test_fedmsgstats.py
@@ -0,0 +1,22 @@
+import json
+
+import hubs.tests.test_widgets
+
+
+class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
+    plugin = 'fedmsgstats'  # The name in hubs.widgets.registry
+
+    def test_data_simple(self):
+        widget = self.widget_instance('ralph', self.plugin)
+        response = self.app.get('/ralph/%i/json/' % widget.idx)
+        assert response.status_code == 200, response.status_code
+        data = json.loads(response.data)
+        self.assertDictEqual(data['data'], {
+            u'fedmsgs': 83854,
+            u'fedmsgs_text': u'83,854',
+            u'source_url': u'/source/fedmsgstats/',
+            u'subscribers': 0,
+            u'subscribers_text': u'0',
+            u'username': u'ralph',
+            u'widget_url': u'/ralph/27/',
+        })

